refit (0.14-2ubuntu2) utopic; urgency=medium

  * Fix build failure with recent syslinux-common.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Oct 2014 12:31:18 +0200

refit (0.14-2ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Create gptsync-udeb.
    - Build with -fno-stack-protector on Ubuntu.
  * Drop Ubuntu change to build-depend on syslinux rather than
    syslinux-common, since we have syslinux-common in our archive now.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Oct 2010 13:09:10 +0100

refit (0.14-2) unstable; urgency=low

  * debian/control:
    + Bump gnu-efi build-dep to 3.0i-3.

  * debian/patches/x64_no_optim.patch:
    + Removed; no longer needed as optimization wasn't the issue.

 -- Julien BLACHE <jblache@debian.org>  Wed, 05 May 2010 18:21:55 +0200

refit (0.14-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.8.4 (no changes).
    + Remove dpatch build-dep.
    + Drop ${shlibs:Depends} for refit.
    + Add ${misc:Depends}.
  * debian/rules:
    + Remove dpatch code.
    + Don't run dh_shlibdeps on refit.

  * debian/patches/efi_call_wrappers.patch:
    + Added; introduce new refit_callX_wrapper() macros.

  * EFI call wrapper patches:
    + Rewritten to use the refit_callX_wrapper() macros instead of using
      the call wrapper directly; turns out the arguments need to be UINT64
      for the call wrapper to work properly. Fixes random failures and
      missing images on X64.

  * All patches refreshed, tagged with DEP-3 fields.

 -- Julien BLACHE <jblache@debian.org>  Wed, 21 Apr 2010 18:11:08 +0200

refit (0.13-11) unstable; urgency=low

  * debian/control:
    + Bump gnu-efi build-dep, as we need a version of gnu-efi built without
      optimization for x64 builds; see below.

  * debian/patches/13_x64_no_optim.dpatch:
    + Added; disable optimization for x64 builds as it looks very much like
      there are issues with the call wrapper and optimized builds, leading to
      weird breakages at runtime.

 -- Julien BLACHE <jblache@debian.org>  Wed, 11 Nov 2009 10:35:00 +0100

refit (0.13-10) unstable; urgency=low

  * debian/patches/23_gptsync_biosboot.dpatch:
    + Updated; remove unwanted hunk.

 -- Julien BLACHE <jblache@debian.org>  Mon, 19 Oct 2009 23:05:29 +0200

refit (0.13-9) unstable; urgency=low

  * debian/patches/23_gptsync_biosboot.dpatch:
    + Updated; fix byte order for GUID data.

 -- Julien BLACHE <jblache@debian.org>  Mon, 19 Oct 2009 22:47:31 +0200

refit (0.13-8) unstable; urgency=low

  * debian/patches/40_disable_EFI110_features.dpatch:
    + Updated; re-enable shutdown menu action now that gnu-efi provides the
      EfiResetShutdown definition and we have a build-dep on a newer gnu-efi
      version for other good reasons.
  * debian/patches/42_refit_uefi_call_wrapper.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Sep 2009 18:09:26 +0200

refit (0.13-7) unstable; urgency=low

  * debian/patches/10_kfreebsd.dpatch:
    + Updated; remove extra LDSCRIPT line.
  * debian/patches/11_fat_binaries_build.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Sep 2009 13:00:26 +0200

refit (0.13-6) unstable; urgency=low

  * debian/patches/10_kfreebsd.dpatch:
    + Added; select appropriate linker script on kfreebsd-amd64.
  * debian/patches/11_fat_binaries_build.dpatch:
    + Renamed, updated.
  * debian/patches/12_debian_version_string.dpatch:
    + Renamed.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Sep 2009 11:37:38 +0200

refit (0.13-5) unstable; urgency=low

  * debian/control:
    + Bump gnu-efi build-dep to 3.0i.
    + Add kfreebsd-amd64 to supported architectures.

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Sep 2009 11:43:22 +0200

refit (0.13-4) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).

  * debian/patches/23_gptsync_biosboot.dpatch:
    + Map GPT "BIOS Boot Partition" type to MBR type 0xda ("Non-FS data")
      (closes: #545190).

 -- Julien BLACHE <jblache@debian.org>  Sat, 05 Sep 2009 19:26:40 +0200

refit (0.13-3ubuntu2) karmic; urgency=low

  * No-change upload to build on amd64 as well (LP: #382184).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Sep 2009 13:31:12 +0100

refit (0.13-3ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Create gptsync-udeb.
  * Revert to build-depending on syslinux; we don't have syslinux-common yet
    (largely because updating syslinux+gfxboot is a time-consuming pain,
    unfortunately).
  * debian/patches/99_no_stack_protector.dpatch:
    - Build with -fno-stack-protector on Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 16:38:39 +0100

refit (0.13-3) unstable; urgency=low

  * debian/patches/10_fat_binaries_build.dpatch:
    + Add -mno-red-zone for x86_64 builds, consistent with gnu-efi.

 -- Julien BLACHE <jblache@debian.org>  Fri, 19 Jun 2009 19:43:07 +0200

refit (0.13-2) unstable; urgency=low

  * debian/control:
    + Build-Depends on syslinux-common instead of syslinux.
    + Bump gnu-efi build-dep to 3.0e-3 implementing the /emul/ia32-linux to
      /usr/lib32 transition.

  * debian/patches/10_fat_binaries_build.dpatch:
    + Look for EFI libraries in /usr/lib32, not /emul/ia32-linux.

 -- Julien BLACHE <jblache@debian.org>  Wed, 17 Jun 2009 16:45:15 +0200

refit (0.13-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes).
  * debian/copyright:
    + Update.

  * debian/patches/03_refit_gcc_warning_fix.dpatch:
    + Removed; merged upstream.
  * debian/patches/11_debian_version_string.dpatch:
    + Updated.
  * debian/patches/42_refit_uefi_call_wrapper.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Fri, 27 Mar 2009 22:26:51 +0100

refit (0.12-2ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Create gptsync-udeb.
    - debian/patches/10_fat_binaries_build.dpatch:
      + Ubuntu uses /usr/lib32 rather than /emul/ia32-linux/usr/lib; adjust
        accordingly.
  * Add showpart to gptsync-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Nov 2008 13:33:37 +0000

refit (0.12-2) unstable; urgency=low

  * Reupload to unstable.

 -- Julien BLACHE <jblache@debian.org>  Mon, 03 Nov 2008 12:12:13 +0100

refit (0.12-1) experimental; urgency=low

  * New upstream release.

  * debian/copyright:
    + Update.

  * debian/patches/04_late_2008_laptops.dpatch:
    + Removed; stolen from this release.
  * debian/patches/11_debian_version_string.dpatch:
    + Updated.
  * debian/patches/43_libeg_uefi_call_wrapper.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Thu, 23 Oct 2008 18:50:55 +0200

refit (0.11-5) unstable; urgency=low

  * debian/patches/04_late_2008_laptops.dpatch:
    + Added; add support for late 2008 Apple laptops, stolen from rEFIt 0.12.

 -- Julien BLACHE <jblache@debian.org>  Thu, 23 Oct 2008 17:54:51 +0200

refit (0.11-4) unstable; urgency=low

  * debian/control:
    + Add missing Replaces: refit on gptsync.

 -- Julien BLACHE <jblache@debian.org>  Thu, 31 Jul 2008 10:33:52 +0200

refit (0.11-3) unstable; urgency=low

  * debian/control:
    + New binary package gptsync (closes: #491604).

  * debian/patches/21_gptsync_manpage.dpatch:
    + Updated; fixup wording.
  * debian/showpart.8:
    + Added; manpage for showpart.

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Jul 2008 22:25:11 +0200

refit (0.11-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).
  * debian/copyright:
    + Fix overly long lines.

  * debian/patches/20_gptsync_quiet_mode.dpatch:
    + Updated; showpart accepts no options.
  * debian/patches/22_gptsync_dont_truncate.dpatch:
    + Added; ignore partitions starting or extending beyond 2 TiB by default.
      Introduce a -t switch to force including and truncating such partitions.
      (closes: #491612).

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Jul 2008 19:40:15 +0200

refit (0.11-1ubuntu2) intrepid; urgency=low

  * Install gptsync/buildux/gptsync rather than gptsync/gptsync.
  * Move gptsync-udeb to Section: debian-installer.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Jun 2008 11:03:28 +0100

refit (0.11-1ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian (LP: #227207). Remaining changes:
    - Create gptsync-udeb.
  * Build gptsync-udeb on amd64.
  * debian/patches/10_fat_binaries_build.dpatch:
    - Ubuntu uses /usr/lib32 rather than /emul/ia32-linux/usr/lib; adjust
      accordingly.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Jun 2008 01:50:14 +0100

refit (0.11-1) unstable; urgency=low

  * New upstream release.

  * debian/font:
    + Ship an antialiased font for rEFIt.
  * debian/mbr:
    + Added mkmbrhdr.h to generate include/syslinux_mbr.h at build time.

  * debian/README.Debian:
    + Add a paragraph about the EFI shell and tools distributed with
      rEFIt upstream and why they aren't distributed in this package.
    + Document the build of a bootable rEFIt (EFI) CD/DVD.
    + Document the ia32 vs. x64 binaries and fat EFI binaries.
  * debian/copyright:
    + Update.
  * debian/control:
    + Build-Depend on syslinux, for /usr/lib/syslinux/mbr.bin.
    + Bump gnu-efi build-dep to >= 3.0e-2.
  * debian/rules:
    + Generate include/syslinux_mbr.h at build time.
    + Replace the font provided with rEFIt by the antialised font shipped in
      debian/font.
  * debian/install:
    + Install showpart.
    + Install icons, vollabel and config file.
    + Install ia32 and x64 binaries too, for bootable CDs.

  * debian/patches/10_fat_binaries_build.dpatch:
    + Updated; add -DEFI32 / -DEFIX64 to CPPFLAGS in Make.common.
  * debian/patches/11_debian_version_string.dpatch:
    + Updated.
  * debian/patches/20_gptsync_quiet_mode.dpatch:
    + Added; add a quiet mode to gptsync for non-interactive use.
  * debian/patches/21_gptsync_manpage.dpatch:
    + Added; rewrite the manpage.
  * debian/patches/40_disable_EFI110_features.dpatch:
    + Updated.
  * debian/patches/42_refit_uefi_call_wrapper.dpatch:
    + Updated.
  * debian/patches/03_refit_gcc_warning_fix.dpatch:
    + Added; fix a gcc warning.

 -- Julien BLACHE <jblache@debian.org>  Wed, 04 Jun 2008 22:53:05 +0200

refit (0.10-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Build-Depend on python, gcc-multilib.
  * debian/rules:
    + Build ia32 and x86_64 EFI binaries, then assemble them into final
      fat EFI binaries.

  * debian/patches/02_ia32_build_on_amd64.dpatch:
    + Removed; we're now building fat EFI binaries with ia32 and x86_64
      architecture support.
  * debian/patches/03_replace_mcpu.dpatch:
    + Removed; looks like this is not needed after all, at least gnu-efi
      currently doesn't set any option for ia32 code generation.
  * debian/patches/04_gptsync_nom_nom_nom_newline.dpatch:
    + Renamed; 02_gptsync_nom_nom_nom_newline.dpatch.
  * debian/patches/10_fat_binaries_build.dpatch:
    + Added; support in the build infrastructure to build ia32 and x86_64
      binaries in separate build directories.
  * debian/patches/10_debian_version_string.dpatch:
    + Renamed & updated; 11_debian_version_string.dpatch.
  * debian/patches/41_gptsync_uefi_call_wrapper.dpatch:
    + Added; wrap EFI API calls in uefi_call_wrapper().
  * debian/patches/42_refit_uefi_call_wrapper.dpatch:
    + Added; wrap EFI API calls in uefi_call_wrapper().
  * debian/patches/43_libeg_uefi_call_wrapper.dpatch:
    + Added; wrap EFI API calls in uefi_call_wrapper().

  * debian/README.sources:
    + Added.
  * debian/TODO:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Wed, 21 May 2008 20:41:23 +0200

refit (0.9-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/01_gptsync_64bit_fix.dpatch:
    + Updated.
  * debian/patches/30_gptsync_man.dpatch:
    + Removed; merged upstream.
  * debian/patches/40_disable_EFI110_features.dpatch:
    + Updated; disable shutdown feature.
  * debian/patches/10_debian_version_string.dpatch:
    + Updated.
 
 -- Julien BLACHE <jblache@debian.org>  Tue, 20 May 2008 19:41:32 +0200

refit (0.8-1) unstable; urgency=low

  * New upstream release.

  * debian/rules:
    + Pass DEBVER when building refit.

  * debian/patches/10_gptsync_EFI_app_build.dpatch:
    + Removed; merged upstream.
  * debian/patches/40_disable_EFI110_features.dpatch:
    + Added; disable features that require EFI110.
  * debian/patches/10_debian_version_string.dpatch:
    + Added; append the debian version to the version string.

  * debian/README.Debian, debian/TODO:
    + Update.

 -- Julien BLACHE <jblache@debian.org>  Tue, 20 May 2008 19:13:04 +0200

refit (0.7-6) unstable; urgency=low
  
  * debian/patches/04_gptsync_nom_nom_nom_newline.dpatch:
    + Added; when prompting for user input, consume characters up to and
      including newline (closes: #387957).
 
 -- Julien BLACHE <jblache@debian.org>  Mon, 19 May 2008 22:52:05 +0200

refit (0.7-5) unstable; urgency=low
  
  * debian/control:
    + Build-Depend on gcc-multilib on amd64 (for 32bit libgcc.a).
  * debian/patches/02_ia32_build_on_amd64.dpatch:
    + Updated; pick up the 32bit libgcc.a when building on amd64.
 
 -- Julien BLACHE <jblache@debian.org>  Mon, 19 May 2008 19:00:58 +0200

refit (0.7-4) unstable; urgency=low

  * Adopting refit, taking over from Enrico Tassi (closes: #430721).

  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).
    + Build-Depend: gnu-efi (>= 3.0e-1.1) to be able to build on amd64.
    + refit: add amd64 to Architecture.
    + refit: rewrite descriptions.

  * debian/README.Debian, debian/TODO:
    + Update.

  * debian/patches/01_gptsync_efi.dpatch:
    + Renamed; 10_gptsync_EFI_app_build.dpatch.
  * debian/patches/03_gptsync_man.dpatch:
    + Renamed; 30_gptsync_man.dpatch.

  * debian/patches/01_gptsync_64bit_fix.dpatch:
    + Added; fix runtime failure of gptsync on 64bit platforms.
  * debian/patches/02_ia32_build_on_amd64.dpatch:
    + Added; enabled building a ia32 refit binary on amd64.
  * debian/patches/03_replace_mcpu.dpatch:
    + Added; use -mtune instead of -mcpu which is deprecated.

 -- Julien BLACHE <jblache@debian.org>  Sun, 18 May 2008 17:24:00 +0200

refit (0.7-3ubuntu1) feisty; urgency=low

  * Create gptsync-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 13 Jan 2007 22:47:50 +0000

refit (0.7-3) unstable; urgency=low

  * debian/copyright: add missing copyright information on syslinux and
    Intel code.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  9 Jul 2006 22:47:30 +0900

refit (0.7-2) unstable; urgency=low

  * README.Debian: update a little bit.
  * remove gptsync.o from UNIX build so that it's not used in EFI build.

 -- Junichi Uekawa <dancer@debian.org>  Sat,  8 Jul 2006 13:42:08 +0900

refit (0.7-1) unstable; urgency=low

  * Initial release (Closes: #375999) 
  - 01_gptsync_efi: build gptsync.efi 
  - 02_wip: other patches pending resolution of 376000.
  - 03_gptsync_man: manpage for gptsync command.
  
 -- Junichi Uekawa <dancer@debian.org>  Sun,  2 Jul 2006 08:50:51 +0900

